import {scene} from "./mario.js";

export class Personnage{
    constructor(x, y, largeur, hauteur){
        this.x = x;
        this.y = y;
        this.largeur = largeur;
        this.hauteur = hauteur;
        this.compteur = 0; 
        this.enMarche = false;
        this.versDroite = true;
    }

    marche(nom, frequence){
        let str = "";
        this.img = new Image();

        if(this.enMarche === false || scene.xPos <= 0){
            if(this.versDroite === true){
                str = "../images/"+nom+"ArretDroite.png";
            }else{
                str = "../images/"+nom+"ArretGauche.png";
            }
        }else{
            this.compteur++;
            if(this.compteur % frequence <= frequence/2){
                if(this.versDroite === true){
                    str = "../images/"+nom+"MarcheDroite.png";
                }else{
                    str = "../images/"+nom+"MarcheGauche.png";
                }
            }else{
                if(this.versDroite === true){
                    str = "../images/"+nom+"ArretDroite.png";
                }else{
                    str = "../images/"+nom+"ArretGauche.png";
                }
            }
            if(this.compteur === 2*frequence){
                this.compteur = 0;
            }
        }
        this.img.src = str;
        return this.img;
    }
}

export class Mario extends Personnage{
    constructor(x, y){
        super(x, y, 28, 50);
        this.imgMario = new Image();
        this.imgMario.src = "../images/marioArretDroite.png";
    }
}